Subject: Business Air News Bulletin - February 28, 2023
From: [email-masked]
To: [email-masked]
Date: Wed, 01 Mar 2023 04:03:43 +0000

B U S I N E S S   A I R   N E W S  -  B U L L E T I N
A selection of the latest business aviation news from www.businessairnews.com

Thriving Titan welcomes Jetscape to the fold

As a Titan branded FBO, Jetscape offers streamlined payment and competitive pricing with Titan Contract Fuel and valuable incentives with Titan Rewards. Titan's footprint at Fort Lauderdale is very much on the up.

Universal Aviation Brazil expands support at São Paulo Catarina

Due to the airport's growing popularity with international operators, and to help give Universal customers a greater span of control of their missions, UA Brazil has added full-time staff at Catarina.

FlyUSA given the go-ahead to develop airpark HQ

FlyUSA plans to move its headquarters from Tampa to Clearwater, expanding upon its local presence in the area. The vision is to build a 15,000 sq ft FBO designed to attract high quality tenants to Clearwater Airpark.

Gauging the impact of a strong business jet market on this coming year

Despite forecasts of a global economic recession in 2023, 4Q22 data indicates the contraction may not be too severe. Global Jet Capital looks at what the figures means for the coming year.

Luxaviation heads to Avalon with a spring in its step

Luxaviation says it has bounced back from the pandemic, with record charter hours and FBO movements in the APAC region in 2022. It has added a Falcon and Globals in Australia, and will soon add an 8X in Singapore.

Super Bowl and earthquake catalyse increased activity

It has been a mixed start to the year for business aviation, which shows signs of returning to pre-pandemic levels. The earthquake disaster in Turkey and Syria has led to high levels of medical business jet activity.

To unsubscribe, please contact [email-masked].